Subject: bug#61679: 29.0.60; Eglot: staying out of trouble

From: João Távora <[email-masked]>
Date: Tue, 21 Feb 2023 15:53:19 +0000

On Tue, Feb 21, 2023 at 3:32 PM Augusto Stoffel <[email-masked]> wrote:

> any case, it seems to support your point that servers without
> diagnostics will be rare, so feel free to close the bug.

OK.

>
> > If that's a mistake, then I guess it's meant to be used in conjunction
> > with other language servers at the same time which complement its
> > features.  Eglot doesn't support that, but I'm working on a solution,
> > even though it will take time.
>
> Oh well, if multiple servers is the new trend, then I guess this might
> become necessary...

I'm not sure it's a new trend, but it has some use cases, yes.
I think it was once more urgent than it is now, where some
servers do the aggregation from multiple sources themselves.

In the Eglot Github page there are a few discussions: the biggest
use case I've seen described is for JavaScript which normally
wants to have EsLint linting and also other types of servers.  But I
think this also makes sense more generally.  A spell-checking server
could go hand-in-hand with multiple programming servers.

João